#6
#(1)
brca<-read.table("D:/hw/生物统计方法/lab4/brca-rsem-fpkm-tcga-t-lab.txt",header = TRUE)
cesc<-read.table("D:/hw/生物统计方法/lab4/cesc-rsem-fpkm-tcga-t-lab.txt",header = TRUE)
brca_PDGFD<-as.numeric(subset(brca,Hugo_Symbol=="PDGFD")[2:983])
cesc_PDGFD<-as.numeric(subset(cesc,Hugo_Symbol=="PDGFD")[2:260])
mean(brca_PDGFD)
sd(brca_PDGFD)
mean(cesc_PDGFD)
sd(cesc_PDGFD)
#采用summary函数描述变量
summary(brca_PDGFD)
summary(cesc_PDGFD)

#(2)
var.test(brca_PDGFD,cesc_PDGFD,
         ratio = 1,
         alternative = "two.sided",
         conf.level = 0.95)

#(3)
t.test(brca_PDGFD,cesc_PDGFD,
       alternative = "two.sided",
       mu=0,
       paired = FALSE,
       var.equal = FALSE,
       conf.level = 0.95)

#(4)
mean_brca_PDGFD<-mean(brca_PDGFD)#计算平均值
mean_cesc_PDGFD<-mean(cesc_PDGFD)
install.packages("plotrix")#安装plotrix包计算标准误
library("plotrix")
SE_brca_PDGFD<-std.error(brca_PDGFD)#计算标准误
SE_cesc_PDGFD<-std.error(cesc_PDGFD)
#绘制条形图
bar_plot<-barplot(c(mean_brca_PDGFD,mean_cesc_PDGFD),
                    beside=T,#按列排布
                    names.arg =c("brca_PDGFD","cesc_PDGFD"),
                    border=NA,#不绘制边界
                    col=c("#66CCFF","#CCFF66"),
                    ylim=c(0,300)
                    )
#标题和轴坐标              
title(ylab="Mean",
      main="Mean of PDGFD expression in the two forms of cancer",
      cex.lab=1.5, font.main= 2)
#用箭头表示error_bar（第一个）
arrows(bar_plot[1], mean_brca_PDGFD - SE_brca_PDGFD,#箭头开始的横纵坐标
       bar_plot[1], mean_brca_PDGFD + SE_brca_PDGFD,#箭头结束的横纵坐标
       length=0.2, 
       angle=90, #箭头与线段之间的夹角改为90°
       code=3, #采用双箭头模式
       lwd=2,
       col="#FF9999")
#error_bar(第二个)
arrows(bar_plot[2], mean_cesc_PDGFD - SE_cesc_PDGFD,
       bar_plot[2], mean_cesc_PDGFD + SE_cesc_PDGFD, 
       length=0.2, 
       angle=90, 
       code=3,
       lwd=2,
       col="#FF9999")
#加虚线
lines(c(bar_plot[1],bar_plot[1],bar_plot[2],bar_plot[2]),
      c(mean_brca_PDGFD+SE_brca_PDGFD,250,250,mean_cesc_PDGFD+SE_cesc_PDGFD),
      lty=2,lwd=2)
#加文字（p-value）
text(x=(bar_plot[1]+bar_plot[2])/2, y=275, 
     label="p-value < 2.2e-16",
     cex=1.3
     )



















