#1
setwd("D:/study in SJTU/biostatistics/lab4/")
# ļʼ
bcra <- read.table("brca-rsem-fpkm-tcga-t-lab.txt")
bcra2 <- read.table("brca-rsem-fpkm-tcga-lab.txt")
bcra0 <- read.table("brca-rsem-fpkm-tcga-lab.txt")[ ,1]
bcra <- bcra[-1, -1]
bcra2 <- bcra2[-1, -1]
bcra0 <- bcra0[-length(1)]
gene2 <- vector()
gene <- vector()
# ֵ
for(i in 1:19738){
  gene[i]<- mean(as.numeric(as.character(bcra[i,])))
  gene2[i]<- mean(as.numeric(as.character(bcra2[i,])))
}
# 
bcra1 <- data.frame(bcra0, gene)
bcra2 <- data.frame(bcra0, gene2)
bcra_gene1 <- order(bcra1[,2], decreasing=TRUE)
bcra1[bcra_gene1, ]
bcra_gene2 <- order(bcra2[,2], decreasing=TRUE)
bcra2[bcra_gene2, ]
# ļ
write.table(bcra1[bcra_gene1,], file = "bcra1", quote = F, col.name = F, row.names = F)
write.table(bcra2[bcra_gene2,], file = "bcra2", quote = F, col.name = F, row.names = F)

#2
# ȡǰ500
top1 <- head(bcra1[bcra_gene1,], n = 500)
top2 <- head(bcra2[bcra_gene2,], n = 500)
# ϲ
same <- merge(top1, top2)
# ļ
write.table(same, file = "same", quote = F, col.name = F, row.names = F)
# 
summary(same)

#3
# t
same <- read.table("same")
t.test(same$gene, same$gene2, paired = T)

#4
library("ggplot2")
# ֵ
means <- c(mean(same$gene), mean(same$gene2))
sds <- c(sd(same$gene), sd(same$gene2))
# Ƿ
data <- data.frame(V = c("tumor", "normal"), means = means, sds = sds)
# ͼ
ggplot(data = data, aes(x = factor(V), y = means, fill = factor(V))) +
  geom_bar(stat = "identity", position = "dodge") +
  geom_errorbar(stat = "identity", aes(ymin = means-sds, ymax = means+sds), position = position_dodge(0.9), width = 0.15) +
  labs(title="expression") +
  xlab("type") +
  ylab("value") +
  annotate("text", x = 2, y = 1250, label = "pvalue<2.2e-16")+
  scale_fill_discrete(name = "type") 


